/* main-section */
.main-section {
    padding-top: 150px;
    margin-bottom: 56px;
}

.main-section .section-header {
    margin-bottom: 32px;
    text-align: center;
}

.main-section .section-header .section-title {
    color: var(--dark);
    font-weight: bold;
}
.main-section .section-header .section-title::before {
    content: '';
    display: block;
    width: 60px;
    margin-left: auto;
    margin-right: auto;
    height: 4px;
    border-radius: 50px;
    background-color: var(--secondary);
}

.main-section .rooms-row { row-gap: 32px; }

.main-section .rooms-row .card {
    box-shadow: none;
    border: none;
    position: relative;
}

.main-section .rooms-row .card .card-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 35.42%, rgba(0, 0, 0, 0.95) 93.23%);
    display: flex;
    justify-content: flex-start;
    align-items: end;
    padding: 32px;
}

.main-section .rooms-row .card .card-overlay .header-1 {
    color: var(--white);
    font-weight: 700;
    margin-bottom: 16px;
    transition: var(--transition);
}

.main-section .rooms-row .card .card-overlay .room-direct-link {
    color: var(--white);
    text-decoration: none;
    transition: var(--transition);
    border-bottom: 1px solid transparent;
}

.main-section .rooms-row .card .card-overlay .room-direct-link:hover {
    border-bottom: 1px solid var(--secondary);
    color: var(--secondary);
}

.main-section .rooms-row .card .card-img {
    height: 472px;
    object-fit: cover;
}
/* main-section - end */

@media (max-width: 767.98px) {
    .container-fluid {
        padding-left: 30px !important;
        padding-right: 30px !important;
    }

    .main-section { padding-top: 110px; }

    .main-section .rooms-row > [class^="col-"], 
    .main-section .rooms-row > [class^="col-"] {
        padding-left: 8px;
        padding-right: 8px;
    }

    .main-section .rooms-row { row-gap: 16px }

    .main-section .rooms-row .card .card-overlay .header-1 {
        font-size: 20px;
    }

    .main-section .rooms-row .card .card-overlay {
        padding-left: 16px;
        padding-right: 16px;
        padding-bottom: 24px;
    }

    .main-section .rooms-row .card .card-overlay .room-direct-link {
        font-size: 14px;
    }
}

@media (max-width: 410px) {
    .main-section .rooms-row .card .card-overlay .header-1 {
        font-size: 16px;
        margin-bottom: 8px;
    }
}